# livery.h File Reference

Functions/types related to livery colours. More...

`#include "company_type.h"`

Go to the source code of this file.

## Data Structures

struct | Livery

## Enumerations

enum

LiveryScheme {
LS_BEGIN = 0, LS_DEFAULT = 0, LS_STEAM, LS_DIESEL,
LS_ELECTRIC, LS_MONORAIL, LS_MAGLEV, LS_DMU,
LS_EMU, LS_PASSENGER_WAGON_STEAM, LS_PASSENGER_WAGON_DIESEL, LS_PASSENGER_WAGON_ELECTRIC,
LS_PASSENGER_WAGON_MONORAIL, LS_PASSENGER_WAGON_MAGLEV, LS_FREIGHT_WAGON, LS_BUS,
LS_TRUCK, LS_PASSENGER_SHIP, LS_FREIGHT_SHIP, LS_HELICOPTER,
LS_SMALL_PLANE, LS_LARGE_PLANE, LS_PASSENGER_TRAM, LS_FREIGHT_TRAM,
LS_END
}

enum | LiveryClass { LC_OTHER, LC_RAIL, LC_ROAD, LC_SHIP, LC_AIRCRAFT, LC_END }

## Functions

| DECLARE_POSTFIX_INCREMENT (LiveryScheme)
void | ResetCompanyLivery (Company *c)
| Reset the livery schemes to the company's primary colour.

## Detailed Description

Functions/types related to livery colours.

Definition in file livery.h.

## Function Documentation

void ResetCompanyLivery | ( | Company * | c | ) |

Reset the livery schemes to the company's primary colour.

This is used on loading games without livery information and on new company start up.

Parameters:

  | c | Company to reset.

Definition at line 445 of file company_cmd.cpp.

References Livery::colour1, Livery::colour2, and Livery::in_use.

Referenced by DoStartupNewCompany().